> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /mynavi/jobs/search

> Search Mynavi Tenshoku (マイナビ転職) job postings with filters for free-text keyword, major job category, industry, prefecture or region, employment type, minimum first-year income and work-condition features, with result ordering (recommended, newest, first-year income, most viewed). Returns job cards with the job slug (usable with the job get-by-id endpoint), company name and logo, catch copy, employment type, feature tags, a job-content and target-candidate snippet, work location, salary, first-year income and image.

**Price:** 20 credits per 50 results



## OpenAPI

````yaml /openapi/jobs.json post /api/mynavi/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/mynavi/jobs/search:
    post:
      tags:
        - /mynavi
      summary: /mynavi/jobs/search
      description: >-
        Search Mynavi Tenshoku (マイナビ転職) job postings with filters for free-text
        keyword, major job category, industry, prefecture or region, employment
        type, minimum first-year income and work-condition features, with result
        ordering (recommended, newest, first-year income, most viewed). Returns
        job cards with the job slug (usable with the job get-by-id endpoint),
        company name and logo, catch copy, employment type, feature tags, a
        job-content and target-candidate snippet, work location, salary,
        first-year income and image.


        **Price:** 20 credits per 50 results
      operationId: __api_mynavi_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MynaviJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MynaviJobCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MynaviJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        job_category:
          anyOf:
            - $ref: '#/components/schemas/MynaviJobCategory'
            - type: 'null'
        industry:
          anyOf:
            - $ref: '#/components/schemas/MynaviIndustry'
            - type: 'null'
        prefecture:
          anyOf:
            - $ref: '#/components/schemas/MynaviPrefecture'
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/MynaviRegion'
            - type: 'null'
        employment_type:
          anyOf:
            - $ref: '#/components/schemas/MynaviEmploymentType'
            - type: 'null'
        min_income:
          anyOf:
            - $ref: '#/components/schemas/MynaviMinIncome'
            - type: 'null'
        feature:
          anyOf:
            - $ref: '#/components/schemas/MynaviFeature'
            - type: 'null'
        sort:
          $ref: '#/components/schemas/MynaviSort'
          default: recommended
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    MynaviJobCard:
      properties:
        '@type':
          type: string
          default: MynaviJobCard
        id:
          type: string
        url:
          type: string
        company_id:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        catch_copy:
          anyOf:
            - type: string
            - type: 'null'
        employment_type:
          anyOf:
            - type: string
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
        job_content:
          anyOf:
            - type: string
            - type: 'null'
        target:
          anyOf:
            - type: string
            - type: 'null'
        work_location:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - type: string
            - type: 'null'
        first_year_income:
          anyOf:
            - type: string
            - type: 'null'
        logo:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MynaviJobCategory:
      type: string
      enum:
        - sales
        - planning_management
        - administration
        - retail_food
        - beauty_bridal_hotel_transport
        - medical_welfare
        - childcare_education
        - consultant_finance_realestate
        - creative
        - web_internet_game
        - it_engineer
        - electrical_mechanical_semiconductor
        - architecture_civil
        - pharma_food_chemical
        - skilled_logistics_agriculture
        - public_service
    MynaviIndustry:
      type: string
      enum:
        - it_telecom
        - machinery_electronics
        - materials
        - housing
        - consumer_goods
        - trading
        - services
        - leisure
        - retail
        - food
        - media_advertising
        - finance_insurance
        - consulting
        - realestate_construction
        - transport_logistics
        - environment_energy
        - public
        - other
    MynaviPrefecture:
      type: string
      enum:
        - hokkaido
        - aomori
        - iwate
        - miyagi
        - akita
        - yamagata
        - fukushima
        - ibaraki
        - tochigi
        - gunma
        - saitama
        - chiba
        - tokyo
        - kanagawa
        - niigata
        - toyama
        - ishikawa
        - fukui
        - yamanashi
        - nagano
        - gifu
        - shizuoka
        - aichi
        - mie
        - shiga
        - kyoto
        - osaka
        - hyogo
        - nara
        - wakayama
        - tottori
        - shimane
        - okayama
        - hiroshima
        - yamaguchi
        - tokushima
        - kagawa
        - ehime
        - kochi
        - fukuoka
        - saga
        - nagasaki
        - kumamoto
        - oita
        - miyazaki
        - kagoshima
        - okinawa
    MynaviRegion:
      type: string
      enum:
        - hokkaido
        - tohoku
        - kitakanto
        - shutoken
        - koshinetsu
        - hokuriku
        - tokai
        - kansai
        - chugoku
        - shikoku
        - kyushu
    MynaviEmploymentType:
      type: string
      enum:
        - full_time
        - contract
        - outsourcing
    MynaviMinIncome:
      type: string
      enum:
        - m150
        - m200
        - m250
        - m300
        - m350
        - m400
        - m450
        - m500
        - m550
        - m600
        - m650
    MynaviFeature:
      type: string
      enum:
        - full_remote
        - remote_ok
        - overtime_under_30h
        - leave_on_time
        - leave_by_17
        - direct_commute_ok
        - short_hours_ok
        - flextime
        - work_under_7h
        - staggered_hours
        - no_relocation
        - overseas_work
        - domestic_travel
        - uses_english
        - uses_chinese
        - uses_other_language
        - in_house_development
        - own_product_or_media
        - full_two_day_weekend
        - holidays_120_plus
        - holidays_125_plus
        - consecutive_leave_5_plus
        - consecutive_leave_2weeks
        - bonus_5months_plus
        - base_pay_250k_plus
        - retirement_allowance
        - settlement_bonus
        - free_dress_code
        - free_appearance
        - car_commute_ok
        - smoke_free_office
        - free_address_office
        - job_rotation
        - phone_tablet_provided
        - housing_allowance
        - relocation_cost_covered
        - full_commute_allowance
        - remote_work_allowance
        - company_car
        - gas_allowance
        - qualification_support
        - homecoming_allowance
        - book_purchase_support
        - second_new_grad
        - education_unrestricted
        - u_i_turn_welcome
        - career_20years_plus
        - disability_hiring
        - industry_experience_preferred
        - no_work_experience_welcome
        - women_jobs
        - region_limited
        - career_break_ok
        - management_experience_welcome
        - urgent
        - hiring_10_plus
        - mynavi_exclusive
        - phone_inquiry_ok
        - offer_in_2weeks
        - online_interview_ok
        - interview_all_applicants
        - high_paid_leave
        - incentive
        - job_fair
        - office_tour_ok
        - foreign_company
        - sales_up_3years
        - listed_group_company
        - debt_free
        - avg_age_20s
        - avg_age_30s
        - mid_career_50_plus
        - women_50_plus
        - parents_on_staff
        - women_managers
        - young_managers
        - inexperienced_50_plus
        - ui_turn_30_plus
        - side_job_ok
        - independence_support
        - cafeteria_meal_support
        - rehire_program
        - internal_venture
        - employee_discount
        - parental_leave_record
        - daycare_support
        - onsite_daycare
        - health_management_org
        - safety_excellent_company
        - kurumin_certified
        - eruboshi_certified
        - nadeshiko_brand
        - youthyell_certified
        - diversity_management
        - regional_future_company
        - eco_first_company
    MynaviSort:
      type: string
      enum:
        - recommended
        - newest
        - first_year_income
        - most_viewed
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````